Pagina 1 di 2 12 UltimoUltimo
Mostra risultati da 1 a 10 di 12

Discussione: Ubuntu: repository consigliati da CT

  1. #1
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Ubuntu: repository consigliati da CT

    Ciao a tutti i pinguiniani di CT!

    Apro questa discussione per inserire i repository consigliati per Ubuntu.
    Se non ho capito male i repository sono quei "link", diciamo così, che quando si avvia il gestore degli aggiornamenti di Ubuntu aggiornano anche i programmi o servizi di quel repository. Corregetemi se sbaglio.

    Alcuni di questi, vedendo in rete, non sono proprio consigliati o da non inserire.
    In questa discussione vorrei che ci fossero quelli consigliati dagli esperti di linux di CT.

    Esempio mio. Per aggiornare avidemux ho aggiunto
    Codice:
    Only registered members can view code.
    anche perché, ma forse ce l'hanno tutti , una GPG key. Consiglio giusto?

    A voi altri consigli e quali sarebbero da NON consigliare.


    Rispondi citando Rispondi citando Il mio PC

  2. # ADS
    Google Adsense Circuito Adsense
    Data registrazione
    da sempre
    Località
    mondo google
    Messaggi
    molti
     
  3. #2
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,802
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Ubuntu: repository consigliati da CT



    Io ho sempre utilizzato solo i repository (d'ora in poi: repo) di default, senza aggiungere nulla.
    Al limite ci sono da abilitare gli universe, o, nel caso di chakra, il repo extra.

    Lo che ti piace avere sempre i programmi più aggiornati possibile, ma con ubuntu caschi male... perché non è rolling, cioè mantiene la stessa "base" fino al successivo rilascio e alla lunga ti accorgerai che se non fai l'avanzamento alcuni programmi non riceveranno più gli aggiornamenti (o forse cerchi altri repository perchè te ne sei già accorto )... le vs. LTS servono proprio per usare vecchi programmi o vecchie versioni che non possono essere usati sui nuovi rilasci.

    Programmi più aggiornati richiedono librerie più aggiornate (le cosidette dipendenze), che, purtroppo più spesso di quanto possa sembrare, non vengono fatte completamente retrocompatibili con quelle vecchie, per cui se un programma funziona con una data versione di una libreria, non per forza funzionerà con quella nuova.

    es. non linuxiano: un programma scritto per directx9 non funziona se ho solo le directx10.

    Su linux però versioni diverse di medesime librerie, per ragioni di spazio e gestione, non posso convivere, quindi se ho una libreria alla vs9 e installo la vs10, la vs9 viene sovrascritta (prova ad immaginare per un attimo di aver installato contemporaneamente 33 versioni di firefox e richiamare ogni volta quella che ti serve), per cui aggiornando a caso nascerebbero sicuramente problemi, perché si forzerebbero i programmi a girare con vs. sbagliate delle librerie.

    Per risolvere questo problema, i vari pacchetti indicano, oltre alla vs. minima richiesta, anche la vs. massima della libreria con la quale è testato e funzionante il programma che contengono, in modo che se si prova ad installare un pacchetto che richiede una libreria non installata e non installabile, il gestore pacchetti ti avvisa... e spesso si rifiuta. (non sempre c'è il --force... io non ho detto niente!! ).

    I repo ufficiali evitano il problema "a monte", inserendo gli aggiornamenti solo quando possono essere applicati, ovvero finché tutti i pacchetti non risultano compatibili con la nv. versione di una data libreria, quella libreria non viene aggiornata e di conseguenza neanche il pacchetto la cui successiva versione richiede la libreria aggiornata (e qui ci ricolleghiamo all'inizio del discorso), i repo ufficiosi che cerchi tu, no.

    Per cui se inserisci un repository con una vs. più aggiornata rischi di doverti gestire a mano i conflitti e gli errori del gestore dei pacchetti... alla meglio ti blocca tutto il processo di aggiornamento perché ci sono dipendenze irrisolvibili, alla peggio ti dice che alcuni pacchetti vanno rimossi perché vanno in conflitto (o non sono compatibili) con gli aggiornamenti, naturalmente ti chiede conferma, ma se non sai cosa stai facendo rischi di disinstallare mezzo sistema (ergo, stai aggiornado una libreria, e disinstalli tutti i pacchetti che richiedono la vs. attuale).

    Ecco perché la pratica di usare repo di terzi viene spesso sconsigliata o ritenuta inaffidabile.
    Se poi tali repo modificano le dipendenze per forzare l'installazione del pacchetto, torniamo all'inizio del discorso.

    Morale: se vuoi una linux che si aggiorna il prima possibile e senza fastidiosi avanzamenti di versione, devi passare ad una (semi)rolling. Per esperienza personale, da quando sono passato a chakra in fatto di update è tutta un'altra cosa.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  4. #3
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: Ubuntu: repository consigliati da CT

    Ciao e grazie Andy86,
    lo avevo visto Chakra ma con Ubuntu mi sono sempre trovato bene per quello che dovevo utilizzare.
    Il discorso generale sui repo l'ho capito. Speravo ci fossero alcuni consigliabili perché speravo che ce ne fossero alcuni che controllano le dipendenze senza fare problemi.
    Magari ad oggi con Ubuntu 14.04 hanno risolto qualche cosa? Magari attendiamo insieme qualcuno che ha Ubuntu 14.04 LTS così vediamo se è cambiato qualcosa da quando hai quest'altra distribuzione linux che a quanto leggo è un "fork" di Arch Linux (semi-rolling).



    EDIT
    anche per sapere i commenti del repo che messo.
    Ultima modifica di Kirk78; 19-11-14 alle 12: 16. Motivo: "fork" di Arch Linux (semi-rolling) + EDIT

    Rispondi citando Rispondi citando Il mio PC

  5. #4
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,802
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Ubuntu: repository consigliati da CT

    speravo che ce ne fossero alcuni che controllano le dipendenze senza fare problemi.
    Beh, controllare le dipendenze senza fare problemi è compito del gestore dei pacchetti non del repository, il repository mette a disposizione i pacchetti che contengono i programmi con le informazioni sulla versione e sulle dipendenze, il gestore dei pacchetti legge queste informazioni e controlla se il pacchetto è installabile.

    Dire "non puoi installare il seguente pacchetto perché le dipendenze non sono soddisfatte" equivale ad aver controllato le dipendenze ed evitato i problemi.

    Se poi il gestore pacchetti ti dice "per installare questo pacchetto devi disinstallare i seguenti pacchetti" e ti spara mezzo parco software perché la maggior parte dei programmi non sono ancora compatibili con quella dipendenza che vuole installare... ecco che l'utente inesperto ci mette poco a combinare casini.

    I repo ufficiali evitano di mettere l'utente di fronte a queste scelte.

    Poi tu sei liberissimo di forzare l'installazione di un pacchetto più aggiornato senza risolvere le dipendenze, però se il programma dopo l'update va in crash all'avvio hai aggiornato per niente.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  6. #5
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: Ubuntu: repository consigliati da CT

    Citazione Originariamente scritto da Andy86 Vedi messaggio
    Poi tu sei liberissimo di forzare l'installazione di un pacchetto più aggiornato senza risolvere le dipendenze, però se il programma dopo l'update va in crash all'avvio hai aggiornato per niente.
    Concordo e non ci penso proprio a non far risolvere le dipendenze
    Allora preferisco avere un po' più di pacchetti installati.

    Sarebbe utile sapere i pacchetti che vengono proposti a quale repo si riferiscono (esempio quello che ho aggiunto io per Avidemux), ma non mi sembra di notarlo nel gestore aggiornamenti
    Così magari si sceglie di NON aggiornare alcuni pacchetti proposti.


    Rispondi citando Rispondi citando Il mio PC

  7. #6
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: Ubuntu: repository consigliati da CT

    Citazione Originariamente scritto da Andy86 Vedi messaggio
    Io ho sempre utilizzato solo i repository (d'ora in poi: repo) di default, senza aggiungere nulla.
    Al limite ci sono da abilitare gli universe, o, nel caso di chakra, il repo extra.
    Quindi per te neanche
    Codice:
    Only registered members can view code.
    ?
    Ho, in attesa di altri commenti sul repo messo, tolto dalle impostazioni di Software e aggiornamenti. Ho lascato la firma digitale.
    Intanto se non erro alcuni pacchetti / programmi li posso installare anche tramite Ubuntu Software Center (versione non aggiornata) o da un file .DEB se presente sul sito ufficiale.
    Disattivando il repo relativo però si disattivano la proposta di eventuali patch di sicurezza di quel determinato programma: corretto?


    Rispondi citando Rispondi citando Il mio PC

  8. #7
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,802
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Ubuntu: repository consigliati da CT



    Il multiverse mi pare che lo avevo abilitato insieme all'universe, ma sinceramente non ricordo di preciso.

    Ubuntu software center legge sempre dai repository come synaptic, solo che l'interfaccia grafica è costruita per richiamare gli store più famosi.

    I .deb a mano li puoi installare tranquillamente con dpkg -i, tanto le dipendenze se le controlla lo stesso.

    Se non ricordo male c'era anche un applet grafica da mettere in "apri con" per i file deb, però non ricordo come si chiama.

    Disattivando il repo relativo però si disattivano la proposta di eventuali patch di sicurezza di quel determinato programma: corretto?
    Il ragionamento è sempre lo stesso, il sistema crea l'elenco dei pacchetti attingendo da tutti i repo abilitati e poi fa il confronto delle vs.
    Se un patch non è nei repo abilitati è ovvio che non la veda.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  9. #8
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Riferimento: Ubuntu: repository consigliati da CT

    Se negli eoni sono stati aggiunti, e poi magari tolti, alcuni repo e quindi installati pacchetti (2920 stato ii e 672 stato rc!): occupano solo spazio oppure devo chiederlo nella discussione/guida perché è meglio toglierne alcuni inutili per velocizzare e ottimizzare il sistema?



    Rispondi citando Rispondi citando Il mio PC

  10. #9
    Data registrazione
    Feb 2010
    Località
    NCC1701
    Messaggi
    3,822
    Grazie dati 
    1,307
    Grazie ricevuti 
    1,323
    Ringraziato in
    996 post

    Aggiornamento: alcuni programmi obbligano ad aggiungere repo?

    AGGIORNAMENTO

    Esempio di Mono Project: sul loro sito non fanno altro che dire di aggiungere il repo... ma allora alcuni programmi / pacchetti possono essere installati solamente con aggiunta di un repo? Ora ho più dubbi di prima

    Install Mono on Linux | Mono
    Citazione Originariamente scritto da Mono Project
    mod_mono (Ubuntu 13.10 and later, Debian 8.0 and later)
    To enable mod_mono installation on Ubuntu 13.10 and later, and Debian 8.0 and later (and their derivatives), you will need to add a second repository to your system, in addition to the generic Debian/Ubuntu repository above:

    Rispondi citando Rispondi citando Il mio PC

  11. #10
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,802
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Ubuntu: repository consigliati da CT

    1) spesso i siti mettono a disposizione repo ufficiali con versioni più aggiornate anche per programmi che sono già nei repo ufficiali, ma devono essere per la distro giusta, sempre per via delle dipendenze.

    2) il messaggio si riferisce a mod_mono, non a mono, magari sono pacchetti di testing che non sono inclusi di default nel repo ufficiale.

    3) mono per me non ha mai funzionato, sempre meglio installando il .net ufficiale tramite winetricks.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

Tags per questo thread

Segnalibri

Regole di scrittura

  • Tu non puoi inviare nuove discussioni
  • Tu non puoi inviare risposte
  • Tu non puoi inviare allegati
  • Tu non puoi modificare i tuoi messaggi
  •  
Cookies:direttiva 2009/136/CE (E-Privacy)

Il sito utilizza cookies propri e di terze parti per maggiori informazioni faq - Termini di servizio - Cookies
Il forum non puo' funzionare senza l'uso dei cookies pertanto l'uso della community è vincolato dall'accettazione degli stessi, nel caso contrario siete pregati di lasciare la community, proseguendo la navigazione acconsenti all’uso dei cookie